using Sirenix.OdinInspector;
using UnityEngine;

namespace VOID.Generic.Trajectory
{
    [TypeRegistryItem("Line")]
    public sealed class LineTrajectory : AbstractTrajectory
    {
        protected override void OnInit()
        {
        }
        
        public override Vector3 GetPositionByProgress(float progress)
        {
            return Vector3.Lerp(startPosition, endPosition, Mathf.Clamp01(progress));
        }
    }
}